package com.cpp.web.controller.configManager;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cpp.common.core.domain.R;
import com.cpp.web.domain.datafactory.ParsingNwp;
import com.cpp.web.service.datafactory.ParsingNwpService;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingNwp")
public class ParsingNwpController {
    @Autowired
    ParsingNwpService parsingNwpService;

    @ApiOperation(value = "添加Nwp配置", notes = "添加Nwp配置")
    @PostMapping()
    public R add(@RequestBody ParsingNwp parsingNwp) {
        if (parsingNwpService.save(parsingNwp)) {
            return R.ok("添加成功！");
        } else {
            return R.fail("添加失败！");
        }
    }

    @ApiOperation(value = "修改Nwp配置", notes = "修改Nwp配置")
    @PutMapping()
    public R update(@RequestBody ParsingNwp parsingNwp) {
        if (parsingNwpService.updateById(parsingNwp)) {
            return R.ok("修改成功！");
        } else {
            return R.fail("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除Nwp配置", notes = "根据id删除Nwp配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingNwpService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.fail("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询Nwp配置", notes = "分页查询Nwp配置")
    @GetMapping("/page")
    public R page(ParsingNwp parsingNwp, Page page) {
        return R.ok(parsingNwpService.page(page, Wrappers.query(parsingNwp)));
    }
}
